Subject: RE: [mobile-ip] NAT traversal question from Minneapolis

From: "Henrik Levkowetz" <[email-masked]>
Date: Thu, 4 Apr 2002 15:21:29 +0200

Milind,

	Thank you for these good comments. I've made some clarifications
to the draft as a result, and hope to post a new version today.
More comments inline: 

Milind wrote: 
> Hi Henrik,
> 
> It was me. I had a doubt in backward compatibility for the
> draft. The scenario I am considering is similar to first
> item in section 4.6.1. Consider HA doesn't support NAT draft and 
> skips the UDP Tunnel Request Extension with U bit set. HA will 
> accept the registration assuming authentication etc. is good. 
> So there is ambiguity in following places which I think should
> be addressed in the draft.
> 
> (1) Per Sec 3.1.1: Since HA accepted the RRQ, MN is expecting UDP 
>     Reply extension, but the HA never sent one. MN's behavior should 
>     be made clear in this case. HA will not send failed RRQ with 
>     code 129.

	Right. In this situation the MN has to use standard IPIP tunnelling,
or give up. It MUST NOT use UDP tunnelling. If UDP tunnelling is absolutely
needed, the result is no connectivity.

> 
> (2) If MN is not behind a NAT, HA will set proper tunnel and Mobile 
>     IP will work. Hence MN should work in this case also. 

	Yes, right.

> 
> (3) Sec. 3.2 - Description of F flag: Will this flag be set only
>     when U bit was set and NAT was not detected? How about NAT was
>     detected and U bit was set? This flag will not be set in this
>     case? In other words, is this flag set in response to U bit 
>     in RRQ, irrespective of NAT detection?

	The F flag should be set when the tunnel has been forced, irrespective
of the detection of a NAT or not. I've clarified this point in the new text.

	Best regards,
		Henrik